/*
 * Positionssensoren
 */

#ifndef SENSOR_h
#define SENSOR_h

#include <Arduino.h>


class Sensor
{
  private:
    char  sensorAchse = '?';
    byte  pinSensorEnable = 13;
    byte  pinSensorClock = 13;
    byte  pinSensorData = 13;
    byte  pinSensorSync = 13;
    byte  pinSensorImpuls = 13;
    
    char  sensorTyp = '?';    // I=Impulssensor, H=HH12
    
    long  sensorSync = 0;
    char  sensorImpulsZaehlrichtung = 0;
    int   sensorSimulatorDelay = 0;
    bool  readBitFromSensor = true;

    void setSensorTyp();

  
  public:
    // properties
    long  sensorValue = 0;
    bool  sensorIsSynchrone = false;

    // methods
    Sensor(char achse);
    void parseCommand(String cmd);
    void setSensorImpulsZaehlrichtung(bool dir);
    void setSensorMotorparameter(bool impulsZaehlrichtung, bool simulatorOn);
    void readSensor();
    void looseConnection();
    
};


#endif
