
import logging
import os.path


# Logfile abschneiden
# subprocess.call(['./trunclog.sh'])


MAXLOGLINES = 100000
LOGFILENAME = "_clipeum.log"

# Logfile abschneiden
if os.path.isfile(LOGFILENAME):
    with open(LOGFILENAME, "r") as f:
        lines = f.readlines()
    if len(lines) > MAXLOGLINES:
        dellines = (len(lines) - MAXLOGLINES) + (MAXLOGLINES // 10)   # 10% mehr löschen als Maxlog um nicht bei jedem Start zu löschen.
        del lines[0:dellines]
        with open(LOGFILENAME, "w") as f:
            f.writelines(lines)


log = logging.getLogger()
handler = logging.FileHandler(LOGFILENAME)
formatter = logging.Formatter('%(asctime)s - %(filename)s - %(funcName)s - %(levelname)s - %(message)s')
handler.setFormatter(formatter)
log.addHandler(handler)
log.setLevel(logging.DEBUG)

log.info('\n\n')
log.info('*** Start Clipeum *********************************************************************')
