/*
 * globale Funktionen
 */

#ifndef GLOBAL_h
#define GLOBAL_h


#include <Arduino.h>


inline unsigned int hex2int (String hexStr, byte startAt) {
  unsigned int r = 0;
  byte t;
  byte i = startAt;
  while (isHexadecimalDigit(hexStr.charAt(i))) {
        //Serial.print(hexStr.charAt(i));
        //Serial.print(" ");
    t = hexStr.charAt(i) - 48;
    if (t > 10) { t -= 39; }   //a-f
        //Serial.print(t);
        //Serial.print(" ");
    r *= 16;  //Stelle weiterschieben;
        //Serial.print(r);
        //Serial.print(" ");
    r += t;
        //Serial.println(r);
    i++;
  }
  return r; 
}


inline long str2long (String str, byte startAt) {
  long r = 0;
  char sign = 1;
  byte t;
  byte i = startAt;
  
  //Vorzeichen lesen
  if (str.charAt(i) == '-') { 
    sign = -1;
    i++;
  }
  
  while (isDigit(str.charAt(i))) {
        //Serial.print(str.charAt(i));
        //Serial.print(" ");
    t = str.charAt(i) - 48;
        //Serial.print(t);
        //Serial.print(" ");
    r *= 10;  //Stelle weiterschieben;
        //Serial.print(r);
        //Serial.print(" ");
    r += t;
        //Serial.println(r);
    i++;
  }
  return r * sign;
}


#endif
